Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsc.v200410
Class CreateCoordinationContextType.CurrentContext

    java.lang.Object
      com.atomikos.icatch.jaxb.wsc.v200410.CoordinationContextType
          com.atomikos.icatch.jaxb.wsc.v200410.CreateCoordinationContextType.CurrentContext

Enclosing class:
  CreateCoordinationContextType

    public static class CreateCoordinationContextType.CurrentContext

extends CoordinationContextType

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <extension base="{http://schemas.xmlsoap.org/ws/2004/10/wscoor}CoordinationContextType">
           <sequence>
             <any/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

Nested Class Summary

Nested classes/interfaces inherited from class com.atomikos.icatch.jaxb.wsc.v200410.CoordinationContextType
`CoordinationContextType.Identifier`

Field Summary
`protected List<Object>` | `any`

Fields inherited from class com.atomikos.icatch.jaxb.wsc.v200410.CoordinationContextType
`coordinationType, expires, identifier, registrationService`

Constructor Summary
`CreateCoordinationContextType.CurrentContext()`

Method Summary
`List<Object>` | `getAny()` Gets the value of the any property.

Methods inherited from class com.atomikos.icatch.jaxb.wsc.v200410.CoordinationContextType
`getCoordinationType, getExpires, getIdentifier, getOtherAttributes, getRegistrationService, setCoordinationType, setExpires, setIdentifier, setRegistrationService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### any

    protected List<Object> any

Constructor Detail

### CreateCoordinationContextType.CurrentContext

    public CreateCoordinationContextType.CurrentContext()

Method Detail

### getAny

    public List<Object> getAny()

  Gets the value of the any property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the any property.

  For example, to add a new item, do as follows:

          getAny().add(newItem);

  Objects of the following type(s) are allowed in the list `Element` `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.